# Class CIM_AggregatePSExtent
extends CIM_StorageExtent

Similar to AggregatePExtent, this class is deprecated in lieu of the generic StorageExtent object and the ProtectedExtentBasedOn association. An AggregatePSExtent is used to model an SCC RAID implementation. AggregatePSExtents define the number of addressable logical blocks on a single storage device, excluding any logical blocks mapped as check data. This is an alternative grouping for ProtectedSpace Extents, when only summary information is needed or when automatic configuration is used.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_StorageExtent
|
+--CIM_AggregatePSExtent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_StorageExtent, CIM_CompositeExtentBasedOn

Description

string

Similar to AggregatePExtent, this class is deprecated in lieu of the generic StorageExtent object and the ProtectedExtentBasedOn association. An AggregatePSExtent is used to model an SCC RAID implementation. AggregatePSExtents define the number of addressable logical blocks on a single storage device, excluding any logical blocks mapped as check data. This is an alternative grouping for ProtectedSpace Extents, when only summary information is needed or when automatic configuration is used.

UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NumberOfBlocks | uint64 |
Deprecated | string | CIM_CompositeExtentBasedOn.NumberOfBlocks, CIM_StorageExtent.NumberOfBlocks
Description | string | Total number of user data blocks that are contained in this Extent.
MappingStrings | string | MIF.DMTF|Aggregate Protected Space Extent|001.2
Override | string | NumberOfBlocks

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Access | uint16 | CIM_StorageExtent
Availability | uint16 | CIM_LogicalDevice
BlockSize | uint64 | CIM_StorageExtent
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
ConsumableBlocks | uint64 | CIM_StorageExtent
CreationClassName | string | CIM_LogicalDevice
DataOrganization | uint16 | CIM_StorageExtent
DataRedundancy | uint16 | CIM_StorageExtent
DeltaReservation | uint8 | CIM_StorageExtent
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
ErrorMethodology | string | CIM_StorageExtent
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
IsBasedOnUnderlyingRedundancy | boolean | CIM_StorageExtent
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_StorageExtent
NameFormat | uint16 | CIM_StorageExtent
NameNamespace | uint16 | CIM_StorageExtent
NoSinglePointOfFailure | boolean | CIM_StorageExtent
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherNameFormat | string | CIM_StorageExtent
OtherNameNamespace | string | CIM_StorageExtent
PackageRedundancy | uint16 | CIM_StorageExtent
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Primordial | boolean | CIM_StorageExtent
Purpose | string | CIM_StorageExtent
RequestedState | uint16 | CIM_EnabledLogicalElement
SequentialAccess | boolean | CIM_StorageExtent
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
ExtentStatus | uint16[] | CIM_StorageExtent
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice